var express = require( 'express' );
var router = express.Router();
var rdb = require('../controllers/rdb');
var httpproxy = require('../controllers/httpproxy');

router.get('/', function(req, res) {
    res.jsonp({
        success: true,
        message: 'Normal'
    });
});

router.all(/^\/(data)\/rdb/, rdb.before);
router.get('/data/rdb/:source_id', rdb.queryData);
router.get('/data/rdb/:source_id/export', rdb.exportData);
router.get('/execute/rdb', rdb.execute);

router.get('/data/httpproxy/:source_id', httpproxy.request);


module.exports = router;